Search Gradle plugins

Version 0.5.0-alpha.1 (latest)

Created 02 December 2018.

Clojure and ClojureScript language support for Gradle

Using the plugins DSL:

plugins {
  id "gradle-clojure.clojurescript-base" version "0.5.0-alpha.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "io.github.gradle-clojure:gradle-clojure-plugin:0.5.0-alpha.1"
  }
}

apply plugin: "gradle-clojure.clojurescript-base"

Using the plugins DSL:

plugins {
  id("gradle-clojure.clojurescript-base") version "0.5.0-alpha.1"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("io.github.gradle-clojure:gradle-clojure-plugin:0.5.0-alpha.1")
  }
}

apply(plugin = "gradle-clojure.clojurescript-base")

Learn how to apply plugins to subprojects